import { Component } from '@angular/core';
import { Article } from './article/article.model';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  // globals and properties
  articles: Article[];

  // constructors
  constructor() {
    // move the data from the child to the main app
    // page 53
    this.articles = [
      new Article("Angular 15", "angular.io", 5),
      new Article("Angular 16", "angular.io", 3),
      new Article("Angular 17", "angular.io", 7)
    ] // articles

  } // constructor

  // init

  // functions and methods
  addArticle(title: HTMLInputElement, link: HTMLInputElement) : boolean {

    console.log(`You added the article titled ${title.value}. It's link is ${link.value}`)
    
    // pushes the dynamic data from the html form
    this.articles.push(new Article(title.value, link.value));
    title.value = '';
    link.value = '';
    return false;  // has to be the very last step POM

  } // addArticle

  sortedArticles(): Article[] {

    return this.articles.sort( (a: Article,b: Article) => b.votes - a.votes  );

  } // sorted Articles

} // class