import { Component, OnInit, Input, HostBinding } from '@angular/core';

import { Article } from './article.model';

@Component({
  selector: 'app-article',
  templateUrl: './article.component.html',
  styleUrls: ['./article.component.css']
})
export class ArticleComponent implements OnInit {
// no data model here

// css
@HostBinding('attr.class') cssClass='row';


// Globals and locals
@Input() article: Article;

  constructor() { 

  // using a single instance of a local variable to this constructor
  // page 49 before app Array
  // this.article = new Article("My Article","google.com", 0);

  } // constructor


  // 2 methods to call from the view > functional
  voteUp(): boolean {

    this.article.voteUp(); // calls the increment from article.model void
    // votes 6 then increment to 7 from the model.ts BUT refresh POM
    return false; // hold to POM from refreshing

  } // voteUp

  voteDown(): boolean {

    this.article.voteDown();
    return false;

  } // voteDown


  ngOnInit(): void {
  }

}
